Get active account payment methods
curl --request GET \
--url https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"createdDate": "<string>",
"merchantAcceptedPayment": {
"amount": 123,
"currency": "<string>",
"created": "<string>",
"paymentType": "<string>",
"account": "<string>",
"lastDigits": "<string>"
},
"creditCard": {
"lastDigits": "<string>",
"expirationDate": "<string>"
},
"carrierBilling": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"debitCard": {
"lastDigits": "<string>"
},
"externalBilling": {
"billReceiver": "<string>",
"paymentChannel": "<string>",
"financialAccount": "<string>"
},
"metadata": {},
"primary": true,
"active": true,
"currency": "<string>",
"type": "CarrierBilling"
}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Get active account payment methods
Get a list of payment methods linked to an account that are active.
GET
/
paymentMethod
Get active account payment methods
curl --request GET \
--url https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/paymentMethod")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"createdDate": "<string>",
"merchantAcceptedPayment": {
"amount": 123,
"currency": "<string>",
"created": "<string>",
"paymentType": "<string>",
"account": "<string>",
"lastDigits": "<string>"
},
"creditCard": {
"lastDigits": "<string>",
"expirationDate": "<string>"
},
"carrierBilling": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"debitCard": {
"lastDigits": "<string>"
},
"externalBilling": {
"billReceiver": "<string>",
"paymentChannel": "<string>",
"financialAccount": "<string>"
},
"metadata": {},
"primary": true,
"active": true,
"currency": "<string>",
"type": "CarrierBilling"
}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
OAuth 2.0 Authentication
Query Parameters
The SLM Account ID.
Minimum string length:
1Query for active payment methods only
Query for primary payment methods only
The page size or limit to fetch
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
This object defines Telco carrier billing details.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A set of key/value pairs that you can attach to an object. Useful for storing additional information.
Show child attributes
Show child attributes
Type of payment method.
Available options:
CarrierBilling, ExternalBilling, MerchantAcceptedPayment, CreditCard, DebitCard Was this page helpful?

